summaryrefslogtreecommitdiff
path: root/libraries/libfwbuilder/libfwbuilder.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/libfwbuilder/libfwbuilder.SlackBuild')
-rw-r--r--libraries/libfwbuilder/libfwbuilder.SlackBuild19
1 files changed, 12 insertions, 7 deletions
diff --git a/libraries/libfwbuilder/libfwbuilder.SlackBuild b/libraries/libfwbuilder/libfwbuilder.SlackBuild
index 1283fe13c7..1ca84d2dfe 100644
--- a/libraries/libfwbuilder/libfwbuilder.SlackBuild
+++ b/libraries/libfwbuilder/libfwbuilder.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=libfwbuilder
-VERSION=2.1.16
+VERSION=2.1.19
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -37,6 +37,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e
@@ -48,22 +50,25 @@ rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R a-s,u+w,go+r-w .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--with-docdir=/usr/doc/$PRGNAM-$VERSION \
- --with-advanced-dns
+ --with-advanced-dns \
+ --build=$ARCH-slackware-linux
make
make install DDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild